Skip to content

Payee Edit

API Information

  • Path: /api/v1/beneficiary/edit
  • Method: POST
  • Content-Type: application/json

Business Description

  • Used when payee information needs to be updated. The edited payee information may require re-

Duplicate Creation Notice

  • The system returned an error status without a detailed message. This request may have attempted to create a payee that already exists.
  • Please use the cardNumber to call the Payee List Query API , retrieve the existing payeeId, and use that payeeId for subsequent payout operations.

Request Parameters

Headers

Request Headers
ParameterValueRequiredDescription
Content-Typeapplication/jsonYesRequest body type

Request Body

Main Parameters

ParameterTypeDescriptionRequired
merchantNostringThe merchant number of the request initiator.M
onBehalfOfstringThe merchant number that the request is actually associated with. Provide this field only when initiating a request on behalf of another merchant.N
merchantRefIdstring(64)Unique identifier for the recipient in your systemN
beneficiaryIdLongPayee IDM
bankCountrystring(12)Payout countryM
payoutCurrencystring(128)Payout currencyM
entityTypestring(1)Entity type [0:corporate,1:individual]M
paymentMethodstringPayment MethodM
receiverInfostring(1024)Recipient informationM
addressstring(1024)Address informationM
accountInfomationstring(1024)Account informationM
signstringSignatureM

Request Example

json
{
	"method": null,
	"merchantNo": "800353",
	"bankCountry": "PK",
	"payoutCurrency": "PKR",
	"entityType": "1",
	"paymentMethod": "E_WALLET",
	"sign": "ABC123DEF456GHI789JKL012MNO345PQR678STU901VWX2356Z",
	"receiverInfo": "{\"companyName\":\"MENG22\",\"lastName\":\"JAHAN\",\"firstName\":\"HAMIDA\",\"areaCode\":\"+92\",\"phone\":\"1719819439\",\"birthDate\":\"1991-12-04\",\"email\":\"gqx@onerway.com\",\"identityType\":\"SSN\",\"vatNumber\":\"8859884831\"}",
	"address": "{\"countryCode\":null,\"state\":\"NY\",\"city\":\"Adin\",\"townName\":null,\"postalCode\":\"10005\"}",
	"accountInfomation": "{\"cardNumber\":null,\"accountType\":null,\"swiftCode\":null,\"bankName\":\"MCB BankLimited\",\"sortCode\":null,\"branchCode\":null,\"bankHolderName\":null,\"walletType\":\"BKASH\",\"walletPhone\":\"+8801719819439\",\"pickUpBankName\":null,\"pickUpBankBranchName\":null,\"pickUpBankBranchId\":null,\"pickUpBankBranchAddress\":null}",
	"beneficiaryId": 1950028569679110144
}

Response Results

Response Headers
ParameterValueRequiredDescription
content-typeapplication/json;charset=UTF-8YesResponse body type

Response Parameters

ParameterTypeDescription
respCodestringResponse code
respMsgstringResponse message
dataobjectResponse data
  └─beneficiaryIdintegerPayee ID
  └─payeeStatusstringPayee status

Response Example

json
{
  "respCode": "20000",
  "respMsg": "Success",
  "data": {
    "beneficiaryId": 98765432,
    "payeeStatus": "PROCESSING"
  }
}